#
# spec file for package devs (Version 10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bc bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           devs
BuildRequires:  bc
License:        GPL
Group:          System/Fhs
Provides:       devsfull 
Autoreqprov:    off
Version:        10
Release:        1.2
Summary:        Device Files
PreReq:         /bin/rm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         makedevs
Source1:        makedevs.floppy
Source2:        print_dasd_lines.sh

%description
This package creates special files for accessing system hardware in the
/dev directory.



Authors:
--------
    Hubert Mantel <mantel@suse.de>

%debug_package
%prep
%setup -c -n devs -T
cp $RPM_SOURCE_DIR/makedevs* .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT > /dev/null
sh $RPM_SOURCE_DIR/makedevs -rpm
popd > /dev/null
mv $RPM_BUILD_ROOT/devfilelist .

%pre
if test ! -d dev/pts ; then
    rm -rf dev/pts
fi
if test ! -d dev/raw ; then
    rm -rf dev/raw
fi
if test ! -d dev/shm ; then
    rm -rf dev/shm
fi

%files -f devfilelist
%doc makedevs makedevs.floppy
/dev/*

%changelog -n devs
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - ro@suse.de
- removed /dev directory from filelist (in filesystem package)
* Tue Oct 04 2005 - mantel@suse.de
- reduce number of ptys to 64; only very few old apps should need it
* Tue May 24 2005 - mantel@suse.de
- create all /dev/ttyS* device nodes (#85399)
* Wed Feb 09 2005 - mantel@suse.de
- fix permissions of /dev/perfctr (#49581)
* Fri Sep 17 2004 - cadaha@suse.de
- remove /dev/ataraid/* device nodes, leave only the directory
  for symlinks to dm devices (#45547)
* Fri Sep 17 2004 - lnussel@suse.de
- change major number for dvb devices from 250 to 212 (#43786)
* Wed Aug 25 2004 - olh@suse.de
- add /dev/scsi directory (#44256)
  add /dev/mapper directory (#44258)
  add /dev/536ep node, from Intel-536ep.rpm (#44253)
  add /dev/lirc node, /dev/lircd and /dev/lircm fifo (#44254)
  add /dev/thinkpad node, from tpctl.rpm (#44255)
  add /dev/ttyLT0 node, from ltmodem.rpm (#44257)
  add /dev/mipv6_dev node, from miplv6.rpm (#44259)
  add /dev/slamr* and /dev/slusb* nodes, from smartlink-softmodem.rpm
  (#44260)
* Thu Aug 19 2004 - od@suse.de
- Removed unused /dev/:[0-5] (#43931)
* Wed Aug 04 2004 - lmb@suse.de
- Added /dev/drbdX for officially reserved drbd nodes.
* Tue Aug 03 2004 - schwab@suse.de
- Add ttySG0 for SGI serial console.
* Wed Jun 23 2004 - meissner@suse.de
- Added hvsi* for Power5 (host virtual serial interface).
* Tue Jun 22 2004 - mantel@suse.de
- remove obsolete /dev/cua* nodes (#42295)
* Thu Jun 03 2004 - hare@suse.de
- Add /dev/nb? for S/390 (#41537).
* Tue May 18 2004 - ak@suse.de
- Correct minor of /dev/mcelog
* Sat Apr 24 2004 - nashif@suse.de
- Added 1 new char node
  /dev/ipmi0:          MontaVista OpenIPMI
* Tue Apr 06 2004 - mantel@suse.de
- remove /dev/pilot symlink (#36926)
* Tue Apr 06 2004 - mantel@suse.de
- fix small build problem
* Tue Apr 06 2004 - mantel@suse.de
- correctly create /dev/hwrng (#38335)
* Mon Apr 05 2004 - uli@suse.de
- pilot symlink was the wrong way round
* Thu Apr 01 2004 - olh@suse.de
- create iseries/vda-vdz, not everything uses udev yet
* Wed Mar 31 2004 - mantel@suse.de
- create symlink /dev/pilot -> /dev/ttyS0 (#36926)
* Thu Mar 25 2004 - sf@suse.de
- added /dev/mcelog (#36898)  for mcelog
* Fri Feb 13 2004 - mantel@suse.de
- create all device nodes for all partitions on all SCSI disks
* Sun Jan 11 2004 - olh@suse.de
- add 2 new char nodes:
  /dev/aio          Asyncronous I/O notification interface
  /dev/kmsg         Writes to this come out as printk's
* Mon Oct 27 2003 - kukuk@suse.de
- Fix permission of /dev/zero
* Mon Oct 20 2003 - kukuk@suse.de
- Remove ugly cleanup
- Don't create devices we would delete immediately again
* Mon Oct 20 2003 - uli@suse.de
- do not create dvb devices on s390*
* Fri Oct 17 2003 - kukuk@suse.de
- First changes to allow to build as normal user
* Wed Sep 10 2003 - uli@suse.de
- create ttyS1 node for VT220 on s390* (bug #29239)
* Fri Aug 29 2003 - mantel@suse.de
- use "chown user:group" instead of "chown user.group"
- add static device files for ALSA
* Thu Aug 21 2003 - kraxel@suse.de
- add uml virtual block devices (#29080).
* Fri Aug 15 2003 - kukuk@suse.de
- Fix default permissions of /dev/xconsole in makedevs
* Mon Jul 28 2003 - mantel@suse.de
- create nodes for all partitions on IDE disks (#25892)
* Mon Jun 02 2003 - kukuk@suse.de
- Use SL version number as version number.
* Fri Mar 14 2003 - olh@suse.de
- create 12 iseries/vt0 nodes (#24495)
  create 16 usb/hiddev nodes, according to
  /usr/src/linux/Documentation/usb/hiddev.txt
* Fri Feb 28 2003 - mantel@suse.de
- make /dev/sndstat a symlink to /proc/asound/oss/sndstat
* Tue Feb 25 2003 - bk@suse.de
- add device for package smartlink-softmodem
* Mon Feb 17 2003 - mantel@suse.de
- add new dvb devices
* Wed Jan 22 2003 - mantel@suse.de
- /dev/input/event* should have permissions 640 instead of 644
* Mon Jan 13 2003 - mantel@suse.de
- devices /dev/radio* should have group audio, not video (#22390)
* Mon Dec 09 2002 - froh@suse.de
- added 3270 devices for s390 (#22374)
* Thu Oct 31 2002 - kukuk@suse.de
- Remove special fb* device numbers for SPARC, use standard one
* Wed Oct 30 2002 - kukuk@suse.de
- makedevs.floppy: don't create devices for ix86 specific devices
  on SPARC
* Fri Oct 11 2002 - schwab@suse.de
- makedevs.floppy: create efirtc.
* Fri Oct 04 2002 - mantel@suse.de
- create all nodes for DAC960 controllers (/dev/rd/*)
* Mon Sep 16 2002 - bk@suse.de
- 390: makedevs{,.floppy}: create ttyS0(4/64) for real console
* Wed Sep 04 2002 - mantel@suse.de
- added /dev/i2c-* devices
- create more device nodes for lots of SCSI and IDE disks
* Tue Aug 20 2002 - bk@suse.de
- include /dev/evms/block_device in s390/s390x as well
* Mon Aug 19 2002 - mantel@suse.de
- added /dev/evms/block_device
* Mon Aug 05 2002 - kukuk@suse.de
- Add PreRequires for rm.
* Fri Aug 02 2002 - bk@suse.de
- further s390 update for makedevs and makedevs.floppy:
- fix console to be on 5,1 no more 4,64
- no input, but net/tun, socksys, ip, icmp, tcp, firewall,
- enable scsi disk majors 65-71 and rmt0,nrmt0,XOR and nfsd links
- add cpint-device cpcmd and xconsole named pipe
- makedevs.floppy: s390x-fix, remove PC-devices and dasd*0 devices
- increase number of tape devices to 8, some libraries have 8 drives
- fix if $LOTS = / != flip for pppox and raw devices
* Fri Jul 26 2002 - ihno@suse.de
- removed compac cciss devices from makedevs.floppy for S390
* Sun Jul 21 2002 - kkeil@suse.de
- capi20 changed to 660 root.dialout to allow
  to start capi applications for users in group dialout
* Thu Jul 11 2002 - kukuk@suse.de
- fix %%pre install script
* Mon Jul 08 2002 - ihno@suse.de
- extented the scripts that RPM_ARCH is set, when the scripts are
  not run by rpm.
* Tue Jun 25 2002 - ihno@suse.de
- enabled scsi-devices for S390/S390x
* Thu Jun 13 2002 - mantel@suse.de
- create /dev/phone* devices
- fix permissions of sound devices
* Fri Jun 07 2002 - mantel@suse.de
- fix type of /dev/rom*, rrom*, flash* and rflash* (those are block
  devices, not character devices)
* Fri May 24 2002 - mantel@suse.de
- fix permissions of old joystick devices
* Thu May 02 2002 - mantel@suse.de
- added /dev/sch* for SCSI changers
* Tue Apr 30 2002 - mantel@suse.de
- fix /dev/video1394
* Wed Apr 17 2002 - mantel@suse.de
- fix permissions of /dev/auer* devices (need to be 666)
* Fri Mar 22 2002 - mantel@suse.de
- added /dev/raw1394 and /dev/video1394 for firewire
* Fri Mar 15 2002 - mantel@suse.de
- create a bunch of missing devices
* Thu Feb 28 2002 - mantel@suse.de
- pvrcore devices are no longer needed
* Wed Feb 27 2002 - mantel@suse.de
- increase number of loop devices to 16
- create nodes for up to 128 SCSI disks
* Sat Feb 23 2002 - mantel@suse.de
- added /dev/auer* device nodes (clash is resolved now)
* Mon Feb 11 2002 - mantel@suse.de
- added pvrcore* nodes
* Wed Feb 06 2002 - mantel@suse.de
- add more nodes for md devices
* Mon Feb 04 2002 - mantel@suse.de
- added /dev/sonypi
* Thu Jan 24 2002 - bk@suse.de
- s390/s390x only: add missing slram* and raw* devices
* Sat Dec 15 2001 - sndirsch@suse.de
- corrected major device number of /dev/js and /dev/djs; changed
  since kernel release 2.4 to 13
* Wed Nov 28 2001 - olh@suse.de
- add p690 hvc console
  add iSeries devices to makedevs.floppy
* Mon Nov 26 2001 - mantel@suse.de
- create nodes for 64 SCSI disks
* Tue Oct 16 2001 - mantel@suse.de
- mouse devices shall not be world readable
* Fri Sep 21 2001 - mantel@suse.de
- create nodes for Promise IDE RAID controllers
* Mon Sep 03 2001 - olh@suse.de
- make iseries ppc only
* Mon Sep 03 2001 - kukuk@suse.de
- On SPARC use old minor numbers for fb devices
* Mon Sep 03 2001 - froh@suse.de
- add "if arch s390" brackets from makedevs to makevs.floppy to
  significantly speed up installation-images build
* Fri Aug 31 2001 - olh@suse.de
- add bc to needed for build
- add iseries devices
* Sat Aug 18 2001 - bjacke@suse.de
- add atomicps, ip filter, cbd, dri, bluetooth and mvideo devices
- correct minor numbers of fb devices and compat link for X0R
- move raw devices to raw and add rawctl
* Fri Aug 10 2001 - bk@suse.de
- s390: create nodes for cdl partitions, omit not existing devs
* Tue Jul 31 2001 - mantel@suse.de
- create nodes for up to 8 cciss and 8 cpqarray controllers
* Mon Jul 23 2001 - mantel@suse.de
- added devices for Ferrari Fax card
* Mon Jun 25 2001 - bk@suse.de
- set RPM_ARCH on s390x to s390 for makedev.sh to work like on s390
* Tue Jun 19 2001 - mantel@suse.de
- create all device nodes for cpqarray, DAC960 and cciss
* Wed May 23 2001 - mantel@suse.de
- fix permissions of /dev/cpu/%%d/cpuid to 444
* Wed May 23 2001 - mantel@suse.de
- added /dev/blog fifo
* Mon May 21 2001 - mantel@suse.de
- fixed ownership/permissions of /dev/usblp? to 660, root.lp
* Fri May 11 2001 - mante@suse.de
- IDE disks are cheap and big ==> we need more partitions
* Tue May 08 2001 - mantel@suse.de
- increase number of loop devices from 2 to 8 in install system
* Thu May 03 2001 - mantel@suse.de
- added /dev/modems/mwave
- /dev/midi now points to /dev/midi00 instead of /dev/midi0
* Thu Apr 26 2001 - mantel@suse.de
- fix minor numbers of /dev/input/event*
* Fri Feb 16 2001 - mantel@suse.de
- fix USB devices
* Tue Jan 02 2001 - mantel@suse.de
- added devices in /dev/usb. Keep old devices for the moment
* Tue Dec 19 2000 - mantel@suse.de
- make /dev/random world-writable
* Tue Dec 19 2000 - mantel@suse.de
- added /dev/oss* and /dev/noss* (char major 206)
- added /dev/agpgarti810
* Mon Oct 16 2000 - mantel@suse.de
- increase number of partitions on /dev/hda and /dev/hdb to 16
* Fri Oct 13 2000 - mantel@suse.de
- added devices for Compaq RAID CCISS (/dev/cciss)
- added devices and nodes for /dev/cpu/*/cpuid and msr
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Thu Sep 07 2000 - mantel@suse.de
- created /dev/rd/c0d9* to /dev/rd/c0d15*
* Thu Sep 07 2000 - mantel@suse.de
- added devices in i2o
- added assorted misc devices (character major 10)
* Sun Jul 30 2000 - mantel@suse.de
- added /dev/audioctl (for Sparc)
* Wed Jul 26 2000 - mantel@suse.de
- corrected entry for nrawqft? (had wrong minor number)
* Mon Jul 03 2000 - mantel@suse.de
- fix permissions and ownership of ircomm and irlpt devices
* Sun Jul 02 2000 - mantel@suse.de
- make mixer and dsp symbolic links
- added ircomm and irlpt devices
* Tue Jun 27 2000 - snwint@suse.de
- now *really* added vcs & vcsa devs to makedevs.floppy
* Tue Jun 27 2000 - snwint@suse.de
- added vcs0 & vcsa0 to makedevs.floppy
* Mon Jun 26 2000 - snwint@suse.de
- create /dev/input in makedevs.floppy
* Sat Jun 24 2000 - olh@suse.de
- add usb device nodes for new backport
  remove obsolete major 13 device nodes
* Fri Jun 23 2000 - bk@suse.de
- enabled ptmx on s390
* Fri Jun 23 2000 - bk@suse.de
- fixed /dev/tty creation on s390 + some minor minor s390 tweaks
* Mon Jun 05 2000 - olh@suse.de
- add sheep_net c 10 198  for mol.rpm
* Sat Jun 03 2000 - olh@suse.de
- move mergemem to 153, pmu to 154, see current devices.txt
* Fri May 12 2000 - schwab@suse.de
- Add /dev/shm directory.
* Thu May 11 2000 - mantel@suse.de
- removed /dev/nfs (major 0 not allowed by FHS 2.1)
* Mon May 08 2000 - bk@suse.de
- fix ttyUSB device numbers for USB of 2.3.47 / USB Backport
* Fri May 05 2000 - bk@suse.de
- fix device ids of usbscanner for USB of 2.3.47 / USB Backport
- add loop devs to s390
* Fri May 05 2000 - mantel@suse.de
- fix permissions of /dev/nvidia*
* Fri May 05 2000 - mantel@suse.de
- added /dev/nvidia{0-3} and /dev/nvidiactl
* Tue May 02 2000 - mantel@suse.de
- added /dev/openprom
* Wed Apr 26 2000 - mantel@suse.de
- added /dev/rtc
* Mon Apr 10 2000 - bk@suse.de
- added s390 support
* Thu Mar 16 2000 - mantel@suse.de
- added /dev/kbd for Sparc
* Tue Mar 14 2000 - schwab@suse.de
- Add efirtc for ia64.
* Sun Mar 05 2000 - snwint@suse.de
- removed agpgarti810; it's part of the xsvga package!
* Sun Mar 05 2000 - snwint@suse.de
- added agpgarti810, usbmouse[0-3]
* Wed Mar 01 2000 - bk@suse.de
- changed ttyACM* and ttyUSB* (USB modem and serial) to same perms as ttyS*
* Tue Feb 29 2000 - mantel@suse.de
- added /dev/usblp[0-3]
* Mon Feb 14 2000 - ro@suse.de
- install scripts in /usr/doc/packages/devs
* Thu Jan 20 2000 - ro@suse.de
- agpgart to 600
* Thu Jan 20 2000 - mantel@suse.de
- added device agpgart
* Wed Jan 19 2000 - mantel@suse.de
- added link from fb to fb0
* Fri Dec 17 1999 - mantel@suse.de
- usbmouse is also needed on initrd
* Thu Dec 16 1999 - olh@suse.de
- added usbmouse : c 10, 32
- added usbmouse1: c 10, 33
* Fri Dec 03 1999 - mantel@suse.de
- corrected permissions for /dev/pty*
* Mon Nov 08 1999 - mantel@suse.de
- corrected symbolic links /dev/ftape and /dev/nftape
- added /dev/tap{012}
* Fri Nov 05 1999 - mantel@suse.de
- added /dev/nvram for installation system
* Fri Nov 05 1999 - mantel@suse.de
- additional Ramdisks needed for installation system
- mouse devices needed for installation system
* Wed Nov 03 1999 - mantel@suse.de
- added ALSA devices
- added USB devices
* Tue Nov 02 1999 - mantel@suse.de
- audio devices world writable again
* Tue Nov 02 1999 - mantel@suse.de
- create framebuffer devices for initrd
* Mon Nov 01 1999 - mantel@suse.de
- audio devices now in group audio, permissions o-rw
- added devices for additional EIDE devices
- added devices for PPPoX
- removed some obsolete devices
- added raw devices
* Sun Oct 31 1999 - mantel@suse.de
- cleaned up permissions (removed rw for world on several devices)
- added xconsole pipe
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Mon Jul 19 1999 - mantel@suse.de
- set permissions of /dev/tty* to 620
* Sat Jul 17 1999 - mantel@suse.de
- correct console device (5,1 instead of 4,0)
* Wed Jul 07 1999 - ro@suse.de
- reworked specfile to avoid copy
* Wed Jun 23 1999 - ro@suse.de
- added devices for Z8530,Baycom,Winradio
- fixed post-script: only remove dev/pts if not a directory
* Thu Jun 10 1999 - mantel@suse.de
- fixed permissions of /dev/ptmx
* Thu May 27 1999 - ro@suse.de
- changed console device for alpha to 5,1
- added fb0 device as c,29,0,660,root.video
* Tue Apr 27 1999 - mantel@suse.de
- added missing fd?u720 devices
* Wed Mar 10 1999 - ro@suse.de
- fixed permissions for /dev/mem and /dev/kmem
- fixed device nodes for Compaq RAID Array
* Fri Jan 29 1999 - mantel@suse.de
- added devices for Mylec DAC 960 and Compaq RAID controllers
* Fri Dec 11 1998 - mantel@suse.de
- Increased number of serial ttys to 24
* Mon Dec 07 1998 - mantel@suse.de
- fixed symlinks for /dev/radio and /dev/video
* Wed Dec 02 1998 - mantel@suse.de
- fixes for 2.1 kernel
- added /dev/pts
* Sun Jul 26 1998 - mantel@suse.de
- increased number of SCSI CD-ROM devices to 16 on boot disk
* Fri Jul 17 1998 - mantel@suse.de
- removed temporary parallel port CD-ROM device files
- added new PARIDE device files (CD-ROM, disk, generic, tape)
* Fri Jun 19 1998 - mantel@suse.de
- create all 16 SCSI CD-ROM devices
- add missing ATAPI tape drives even for the floppy system
* Thu Feb 05 1998 - mantel@suse.de
- added group "disk"
- include 16 sg devices now
